Kit - Create
curl --request POST \
--url https://api.skulabs.com/kit/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "<string>",
"listing_sku": "<string>",
"sku": "<string>",
"fulfillment_sku": "<string>",
"items": [
{
"quantity": 123,
"item_id": "<string>",
"sku": "<string>",
"type": "<string>"
}
],
"barcodes": [
"<string>"
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"cost": 123,
"retail": 123,
"wholesale": 123,
"sale": 123,
"active": true,
"image": "<string>",
"description": "<string>",
"notes": "<string>",
"weight": 123,
"lag_time": 123
}
}
'import requests
url = "https://api.skulabs.com/kit/create"
payload = { "data": {
"name": "<string>",
"listing_sku": "<string>",
"sku": "<string>",
"fulfillment_sku": "<string>",
"items": [
{
"quantity": 123,
"item_id": "<string>",
"sku": "<string>",
"type": "<string>"
}
],
"barcodes": ["<string>"],
"tags": ["507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012"],
"cost": 123,
"retail": 123,
"wholesale": 123,
"sale": 123,
"active": True,
"image": "<string>",
"description": "<string>",
"notes": "<string>",
"weight": 123,
"lag_time": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
name: '<string>',
listing_sku: '<string>',
sku: '<string>',
fulfillment_sku: '<string>',
items: [{quantity: 123, item_id: '<string>', sku: '<string>', type: '<string>'}],
barcodes: ['<string>'],
tags: ['507f1f77bcf86cd799439011', '507f1f77bcf86cd799439012'],
cost: 123,
retail: 123,
wholesale: 123,
sale: 123,
active: true,
image: '<string>',
description: '<string>',
notes: '<string>',
weight: 123,
lag_time: 123
}
})
};
fetch('https://api.skulabs.com/kit/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"_id": "507f1f77bcf86cd799439011",
"new_kit_id": "<string>"
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Kit
Kit - Create
Create a new kit with component items, SKU, and optional details.
POST
/
kit
/
create
Kit - Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Kit data object
Show child attributes
Show child attributes
⌘I